/* $Id: neo.h,v 1.1.1.1 2000/04/20 13:16:00 damon Exp $ */

/* Helpers from tclExtdInt.h */

/*
 * Macros to do string compares.  They pre-check the first character before
 * checking of the strings are equal.
 */

#define STREQU(str1, str2) \
	(((str1) [0] == (str2) [0]) && (strcmp (str1, str2) == 0))

#define STRNEQU(str1, str2, cnt) \
	(((str1) [0] == (str2) [0]) && (strncmp (str1, str2, cnt) == 0))

/* simple function to find a lock directory */
void find_lock_dir(char *);

#include <tcl.h>
#include "neoCbuf.h"

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif

#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif

extern char *tclXWrongArgs;

/*
 * from tclXcomma.c
 */
extern int
NeoX_CommaSplitObjCmd _ANSI_ARGS_((ClientData clientData,
    Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[]));

extern int
NeoX_CommaJoinObjCmd _ANSI_ARGS_((ClientData clientData, 
    Tcl_Interp *interp, int objc1, Tcl_Obj *CONST objv[]));

Tcl_CmdProc Tcl_LassignArrayCmd, Tcl_LassignFieldsCmd;

extern void
NeoSoft_DecryptFile(Tcl_Interp *, const char *fname, char *buffer, off_t fileOffset);

Tcl_PackageInitProc NeoSoft_InitEncrypt, Neo_XwwwInit, Neo_dbInit, Cute_InitComm,
    Neo_initGeneral, TclX_InitKDebug, Neo_initList, Neo_Init;
